Subject: bug#73982: GCC Dependency?

From: Vincenzo Pupillo <[email-masked]>
Date: Thu, 24 Oct 2024 11:15:45 +0200

Hi, 

> tags 73982 notabug
> thanks
> 
> > From: Jeffrey Walton <[email-masked]>
> > Date: Thu, 24 Oct 2024 03:42:01 -0400
> > 
> > I wanted to install emacs-nw, a/k/a emacs-nox, on a production Fedora
> > server to edit configuration files. I had to install Zile instead
> > because of all of Emac's dependencies, which now seems to include
> > compilers. Also see Red Hat Bug #2316238,
> > <https://bugzilla.redhat.com/show_bug.cgi?id=2316238>.

I would suggest you try the cosmopolitan build of emacs. 
It is a completely self-contained, single-file version of emacs-nox.

https://justine.lol/cosmo3/
https://cosmo.zip/pub/cosmos/bin/

Kind regards

Vincenzo